Last Comment Bug 715999 - removeChild(): unexpected title tooltip after removing SVG element at mouse position
: removeChild(): unexpected title tooltip after removing SVG element at mouse p...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: mozilla12
Assigned To: Robert Longson
:
Mentors:
Depends on:
Blocks: 601091 639945 664058
  Show dependency treegraph
 
Reported: 2012-01-06 12:00 PST by Alice0775 White
Modified: 2012-05-20 20:35 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (935 bytes, patch)
2012-01-19 14:38 PST, Robert Longson
dao+bmo: review+
Details | Diff | Review

Description Alice0775 White 2012-01-06 12:00:41 PST
Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/8ae16e346bd0
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120106 Firefox/12.0a1 ID:20120106031054

this is spun off Bug 693551
Tooltip(title attibute of the element) pops up even if the element has been removed.

Reproducible: Always

Steps to Reproduce:
1. Open Firefox with clean profile

2. Open https://developer.mozilla.org/en/XUL_Tutorial
3. Mouse hover over "Edit" button til tooltip appears,

4. Open attachment 566159 [details]
5. move mouse over circle and click left mouse button (don't stop moving before clicking!)


Actual Results:
  tooltip will pop up.
  
Expected Results:
  Tooltip should not pop up.
Comment 1 Robert Longson 2012-01-19 14:38:37 PST
Created attachment 589998 [details] [diff] [review]
patch

On the right lines with bug 693551 but compareDocumentPosition actually returns a bitmask: http://mxr.mozilla.org/mozilla-central/source/dom/interfaces/core/nsIDOMNode.idl#119 

In the STR I think DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC is set too. This is not always the case which is why when I tried it with a slightly different test it worked for me.
Comment 2 Dão Gottwald [:dao] 2012-01-19 14:48:43 PST
Comment on attachment 589998 [details] [diff] [review]
patch

the explicit Boolean casting shouldn't be needed
Comment 3 Robert Longson 2012-01-19 15:24:45 PST
pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/e70f6f04cf0f without the Boolean casting.
Comment 4 Ed Morley [:emorley] 2012-01-21 07:11:12 PST
https://hg.mozilla.org/mozilla-central/rev/e70f6f04cf0f

Note You need to log in before you can comment on or make changes to this bug.